/* TEMPORARY-REMOVE when TBs and SDS are live */
#tab-label-documents {
display:none;
}


/* General */

.breadcrumbs {
  margin-top: 3rem;
}

/*product styles*/
.product-brand{
  margin-top:20px;
}
.page-title-wrapper {
  margin-top: 10px;
}
.product-type-items .product-type{

    display:none;
}

.product-types-buttons{

    display: flex;
  flex-wrap: wrap;
}


.product-types-buttons a.active{

    background-color: #000000;
    color: #fff;
    border: 1px solid #000;
}
.product-types-buttons a {
    background-color: #fff;
    color: #000;
    border: 1px solid #000;
    border-radius: 30px;
    padding: 5px 10px;
    margin-right: 10px;
    margin-bottom: 10px;
    text-decoration: none;
    cursor: pointer;
  }

  .product-types-buttons a:hover{
    background-color: #000000;
    color: #fff;
    border: 1px solid #000;
  }

  .product-info-main .grouped h2{
    font-size: 18px;
    font-weight: 400;
    color: #000;
  }

  .product-info-main .grouped .product-item-name {
    font-weight: 500;
  }

  .product-info-main a{

    color: #000;
  }

  .page-product-grouped .product-info-main .product.attribute.overview .market-page {
    display: none;
  }

  .product-info-main .box-tocart .actions {
    padding: 0 !important;
  }

  .product-info-main .box-tocart {
    margin: 0 0 20px;
    float: none;
  }

  .product-info-main .action.primary{

    background-color: #346e9e;
    border-radius: 3px;
    font-weight: 600;
    font-size: 16px;
    font-family: 'Poppins';
    text-transform: uppercase;
    transition: all ease 0.2s;
    border-width: 0px;
  } 
  .product-info-main .action.primary:hover{
    background-color: rgba(46,89,131,0.67);
  }



  

  /*price*/
/*.product-price .price::after{
  content: 'NZD'!important;
  margin-left:5px;

}*/

  
  /*product gallery*/
  .product.media .fotorama__nav-wrap .fotorama_horizontal_ratio .fotorama__img{

    width:100%;
  }

  .product.media .fotorama__thumb-border {
   
    border: 2px solid #1e4edd;

  }

  .product.media .fotorama__active .fotorama__dot {
    background-color: #47c5e1;
    border-color: #4f9acf;
}


/* Fix the giant fotorama stage container */
.catalog-product-view .fotorama__stage {
    max-height: 500px !important;
}

/* Fix image positioning */
.product .fotorama__stage__frame .fotorama__img {
    top: 0 !important;
    transform: none !important;
    -webkit-transform: none !important;
    position: static;
    margin-top: auto !important;
}

/* Remove container spacing */
.catalog-product-view .product.media {
    margin-bottom: 20px !important;
}

@media (min-width: 768px) {
    .fotorama__stage__frame .fotorama__img {
    /*    top: 35%; */
    }
}

/* ==========================================================================
   Tables
   ========================================================================== */
/*
 * Remove most spacing between table cells.
 */
table {
  border-collapse: collapse;
  border-spacing: 0;
}
/* Flex Tables
================================== */
.Rtable {
  display: flex;
  flex-wrap: wrap;
  margin: 0 0 3em 0;
  padding: 0;
}
.Rtable-cell {
  box-sizing: border-box;
  flex-grow: 1;
  width: 100%;
  padding: 0.8em 1.2em;
  overflow: hidden;
  list-style: none;
  margin-bottom: 1em;
}

/* Flex Table column sizing
================================== */
.Rtable--2cols > .Rtable-cell {
  width: 50%;
}
.Rtable--3cols > .Rtable-cell {
  width: 33.33%;
}
.Rtable--4cols > .Rtable-cell {
  width: 25%;
}
.Rtable--5cols > .Rtable-cell {
  width: 20%;
}
.Rtable--6cols > .Rtable-cell {
  width: 16.6%;
}
.Rtable--7cols > .Rtable-cell {
  width: 14.28%;
}

/* Flex Tables: Apply styles
================================== */
.Rtable {
  position: relative;
  top: 3px;
  left: 3px;
}
.Rtable-cell {
  margin: -3px 0 1em -3px;
  background-color: transparent;
}

.Rtable.break-col .Rtable-cell {
  margin: -3px 0 0 -3px;
}

.Rtable-cell.Rtable-cell--head {
  background-color: #e1e5e8;
}

.Rtable-cell.empty {
  border-color: white;
}

/* Flex Tables: Cell styles
================================== */

.Rtable.striped .Rtable-cell:nth-child(odd) {
  background-color: #f5f8fb;
}

.Rtable-cell--dark {
  background-color: #465050;
  border-color: #313737;
  color: white;
}

#container .Rtable-cell--dark > h1,
#container .Rtable-cell--dark > h2,
#container .Rtable-cell--dark > h3,
#container .Rtable-cell--dark > h4,
#container .Rtable-cell--dark > h5,
#container .Rtable-cell--dark > h6 {
  color: white;
}
.Rtable-cell--medium {
  background-color: #b8c0c8;
  border-color: #a9b3bc;
}
.Rtable-cell--light {
  background-color: white;
  border-color: #e2e6e9;
}
.Rtable-cell--highlight {
  background-color: lightgreen;
  border-color: #64e764;
}
.Rtable-cell--alert {
  background-color: darkorange;
  border-color: #cc7000;
  color: white;
}
.Rtable-cell--alert > h1,
.Rtable-cell--alert > h2,
.Rtable-cell--alert > h3,
.Rtable-cell--alert > h4,
.Rtable-cell--alert > h5,
.Rtable-cell--alert > h6 {
  color: white;
}


/* Flex / Responsive Table Cell Styling
======================================= */


@media all and (max-width: 767px) {
  .Rtable--collapse {
    display: block;
  }
  .Rtable--collapse > .Rtable-cell {
    width: 100% !important;
     margin-bottom: 0;
  }
  .Rtable--collapse > .Rtable-cell--head {
    margin-bottom: 0;
  }
  .Rtable--collapse > .Rtable-cell--foot {
    margin-bottom: 1em;
  }
}
.no-flexbox .Rtable {
  display: block;
}
.no-flexbox .Rtable > .Rtable-cell {
  width: 100%;
  margin-bottom: 0;
}
.no-flexbox .Rtable > .Rtable-cell--head {
  margin-bottom: 0;
}
.no-flexbox .Rtable > .Rtable-cell--foot {
  margin-bottom: 1em;
}


/*product details */

  .product.info.detailed {
    background: #e1e8ea;
    width: 100vw; /* 100% of viewport width */
  position: relative; /* For correct margin calculation */
  left: 50%;
  margin-left: -50vw; /* Pulls the element to the left edge */
  margin-bottom: -70px;
  }

.product.info.detailed h3 {
  text-transform: uppercase;
}

  .product.data.items {
    max-width: 1500px;
    margin: 0 auto;
  }

  .data.item.content#description { /* applies only when just the description tab content is visible */
    max-width: 1200px;
    margin-right: auto;
    margin-left: auto;
  }

  .catalog-product-view .product.data.items > .item.content {
      margin-top: 20px;
      box-sizing: border-box;
      float: none;
      margin-left: 0 !important;
      width: 100%;
      border: 0;
      background: transparent;
  }

  .item.content h2 {
    color: #346e9e;
    border-bottom: 1px solid #4c5254;
    font-size: 22px;
    padding-bottom: 8px;
    text-transform: uppercase;
    font-weight: 500;
  }

  .catalog-product-view .product.data.items h3 {
    font-size: 1.6rem;
    font-weight: 500;
  }

  .item.content li {
    list-style: none;
  }

  .item.content #description li {
    list-style: disc;
  }


/* Break long lists into two columns */
.two-column-list {
  -webkit-column-count: 2; /* For WebKit browsers like Chrome, Safari */
  -moz-column-count: 2;    /* For Mozilla Firefox */
  column-count: 2;
  -webkit-column-gap: 20px;
  -moz-column-gap: 20px;
  column-gap: 20px;
}
@media all and (max-width: 767px) {
  .two-column-list {
    -webkit-column-count: 1; /* For WebKit browsers like Chrome, Safari */
    -moz-column-count: 1;    /* For Mozilla Firefox */
    column-count: 1;
    -webkit-column-gap: 0px;
    -moz-column-gap: 0px;
    column-gap: 0px;
  }
}


/* description */
  #description ul>li, #description ol>li {
    margin-left: 36px;
    width: 50%;
    list-style: disc;
  }

  /* documents */

  li.doc {
    display: inline-block;
    padding-right: clamp(20px, 3vw, 100px);
    margin-top: .5em;
  }

  a.infodoc span {
    background: #4c5254; /*#346e9e*/
    color: #fff;
    padding: 4px 8px;
  }

@media all and (max-width: 1024px) {

  div.Rtable > .Rtable-cell {
    width: 100%;
  }
}

  /* bring docs up next to description if video isn't present DOESN'T WORK YET*/
  div.Rtable-cell#description + div.Rtable-cell#documents {
    width: 50%;
  }


  /* Video Flex Tables
  ===================== */

  .videos.Rtable {
    margin: 0;
    top: 0;
    left: 0;

  }

  .video-wrapper.Rtable-cell {
    margin: 0;
    padding: 0;
  }

  .videos.Rtable--2cols > .Rtable-cell {
    margin-bottom: 1em;
  }

  .videos.Rtable--2cols .Rtable-cell:nth-child(2n) {
    padding-left: .5em;
  }

  .videos.Rtable--2cols .Rtable-cell:nth-child(2n-1) {
    padding-right: .5em;
  }



/*product qty alert message*/

#validation-message-box div.mage-error {
  color: #fff;
  font-size: 14px;
  margin-top: 0;
  padding: 10px 0px;
  background-color: #bf4848;
  text-align: center;
  color: #fff;
  border-radius: 5px;
}

  /*reviews*/
.product-reviews{
  margin-top:0px;
  padding-top: 40px;
  border-top: thin solid #cfcfcf;
}

.product-reviews #product-review-container, #customer-reviews{

  width:90%;
  margin:0 auto;
}

.product-reviews .fieldset .review-legend.legend strong {
  display: inline-block;
  margin-left: 10px;
}
  .product-reviews .review-ratings{
    float:none;
  }
  .product-reviews .block-title {
    overflow: hidden;
    padding-bottom: 20px;
  }
  .product-reviews .review-modal {
    float: right;
    cursor: pointer;
    padding: 10px 20px;
    border: thin solid #000;
  }
  .review-add{
    display:none;
    width: 100%;
  margin: 0 auto;
  }

  .review-close{
    float:right;
    cursor:pointer;
  }
  .product-reviews .rating-label{

      vertical-align: middle;
      padding-right:15px;
      padding-bottom:0px;

  }
  .rating-summary .rating-result > span::before {
    
    color: #1e4edd!important;
  }

  .review-control-vote label::before {
    color: #1e4edd!important;
  }
 .product-reviews .review-title {
    margin: 10px 0 10px;
  }

  .product-reviews .review-form .action.submit.primary {
    background-color: #fff;
    border: thin solid #000!important;
    font-weight: 300;
    
  }

  .product-reviews .review-form .action.submit.primary:hover{
    background-color: #000000;
    border: thin solid #000!important;
    color:#fff;
    font-weight: 300;
    
  }


  /*reviews more/pager*/
  .reviews-show-more{
    display:block;
    width:100px;
    margin:0 auto;
    margin-top:20px;
    margin-bottom:20px;
    border:thin solid #000;
    padding:10px;
    text-align:center;
    cursor:pointer;
    text-align:center;
  }

  .product-reviews .toolbar.review-toolbar{
    border-top:none;
  }

  .product-reviews .toolbar-number{
    display:none;
  }


  /*related products*/
  .block.related{
    margin-top:40px;
  }

  .block.related .block-title strong{
    font-weight:400!important;
    font-size:24px!important;
  } 

  .block.related .product-item .price-box .price-label {
    font-size: 18px;
  }

  .block.related .product-item .minimal-price .price-container{
    display:inline-block;
  }

  .block.related .product-item .minimal-price .price {
    font-size: 18px;
    font-weight: 400;
  }
  .product-image-wrapper {
    overflow:visible !important;
    padding-bottom: 100% !important;
    background-color: #fff;
    
}

  .products-related .product-image-container {

    height: auto;
    width: 100%!important;
}

  .page-layout-1column .block.related .products-grid .product-item {
    width: 24%;
}

.page-layout-1column .block.related .products-grid .product-item-info {
  width: 220px;
}

  /*configurable product*/
  .product-options-wrapper{
    margin-top:20px;
  }
  .product-options-wrapper label span{
    font-size: 16px;
    font-weight: 300;
    color: #000;
  }
  .product-options-wrapper select{
    background:#000;
    height:auto;
    border:thin solid #000;
    border-radius:10px;
    padding:10px;
    color: #fff;
    width:75%;
  }

  .product-add-form .call-to-order p {
    font-size: 130%;
    font-weight: 600;
  }



  /*mobile css*/

  @media screen and (max-width: 960px) {

    .page-layout-1column .block.related .products-grid .product-item {
      width: 32%;
  }

  }

  @media screen and (max-width: 768px) {

    .product-info-main{

      width:80%;
      margin:0 auto;
    }
    .product-info-main .page-title-wrapper .page-title {
      
      font-size: 38px;
    }
    .product-types-buttons a {
      
      font-size: 18px;
    }

    .product-description {
      width: 80%;
      margin: 0 auto;
    }

    .pagebuilder-column{

      margin-bottom:20px;
    }

    .block.related {
      width: 80%;
      margin: 0 auto;
      margin-top:30px;
    }
    
    .page-layout-1column .block.related .products-grid .product-item {
      width: 49%;
      margin-left:1%;
  }

    .product-reviews {
      margin-top: 0px;
      width: 90%;
      margin: 0 auto;
    }


    .product.data.items>.item.title.active {
      margin-bottom: -1px !important; 
    }
  
  }
  
  @media screen and (max-width: 638px) {
    .table-wrapper .table:not(.cart):not(.totals):not(.table-comparison) > tbody > tr {
      display: flex;
      justify-content: space-between;
      align-items: baseline;
    }

    /*product reviews*/
    .product-reviews .block-title {
      text-align: center;
    }
    .product-reviews .fieldset .review-legend.legend strong {
      display: block;
      margin-left: 0px;
    }

    .page.messages{
      position: fixed;
      z-index: 997;
      width: 98%;
      left: 0;
      top:0;
      margin-left: 1%;
    }
}

@media screen and (max-width: 480px) {

    .product-info-main .page-title-wrapper .page-title {
      font-size: 28px;
  }
  .product-info-main .grouped h2 {
    margin-top: 5px;
  }
    .product-info-main,.product-description,.block.related,.product-reviews{
      width:95%;
    }

    .block.related{

      margin-top:35px;
    }
    .product-reviews .review-modal {
      float: none;
      display: block;
      margin-top: 10px;
    }

    .block.related .block-title {

      text-align:center;
    }
    .page-layout-1column .block.related .products-grid .product-item-info {
      width: 100%;
      text-align:center;
  }
  .page-layout-1column .block.related .products-grid .product-item-info .product-image-container{
    margin:0 auto;
    display:block;
  }
    .page-layout-1column .block.related .products-grid .product-item {
      width: 100%;
      margin-left:0px;
  }
}